This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 951628 - AttributeError: 'list' object has no attribute 'split'
AttributeError: 'list' object has no attribute 'split'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker 950964
  Show dependency treegraph
 
Reported: 2013-04-12 11:45 EDT by Dan Horák
Modified: 2013-05-20 20:20 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-blivet-0.11-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-20 20:20:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda-tb (1.50 MB, application/octet-stream)
2013-04-12 11:45 EDT, Dan Horák
no flags Details

  None (edit)
Description Dan Horák 2013-04-12 11:45:31 EDT
Created attachment 734805 [details]
anaconda-tb

Description of problem:
At the end of text-mode installation, following traceback appears:

anaconda 19.18-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 3841, in dracutSetupArgs
    parts = line.split()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 809, in set_boot_args
    setup_args = dep.dracutSetupArgs()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 2246, in writeBootLoader
    keyboard=ksdata.keyboard)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 141, in doInstall
    writeBootLoader(storage, payload, instClass, ksdata)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
AttributeError: 'list' object has no attribute 'split'

Version-Release number of selected component (if applicable):
anaconda-19.18-1.fc19
python-blivet-0.10-1.fc19


Steps to Reproduce:
1. start text mode installation
2. enter all values and continue with the install
  
Actual results:
traceback when installing bootloader

Expected results:
installation finishes successfully
Comment 1 Jan Stodola 2013-04-16 04:58:00 EDT
Retested with patch from:
https://lists.fedorahosted.org/pipermail/anaconda-patches/2013-April/003791.html

The installation finished successfully.
Comment 2 Adam Williamson 2013-05-20 20:20:05 EDT
we're a long way past 0.11 in f19 stable now, and we can't really fix install issues in stable releases, so let's call this CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.